@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    --primary-color: #3d94f0;
    --secondary-color: #6c757d;
    --success-color: #28a745;
    --info-color: #17a2b8;
    --warning-color: #ffc107;
    --danger-color: #dc3545;
    --light-color: #f8f9fa;
    --dark-color: #343a40;
    --text-color: #333;

    --white-color: #ffffff;
    --gray-light-color: #cccccc;
    --gray-dark-color: #444444;
    --gray-darker-color: #262626;
    --gray-background-input: #444444;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

html {
    font-size: 62.5%;
    overflow: auto;
}

body {
    font-size: 1.6rem;
    background-color: var(--light-color);
    color: var(--text-color);
}

.logo-img {
    width: 40px;
    height: 40px;
    vertical-align: middle;
    margin-right: 10px;
}
.navbar {
    background-color: var(--primary-color);
    font-size: 36px;
    padding: 10px 0;
    display: flex;
}

.navbar a {
    color: var(--white-color);
    text-decoration: none;
    margin: 0 10px;
}

.logo {
    margin-left: 10%;
    font-weight: 500;
}

.toggle-mode {
    margin-left: auto;
    margin-right: 10%;
    display: flex;
    align-items: center;
}

#lang-select {
    margin-left: 20px;
    padding: 5px;
    font-size: 1.6rem;
    color: var(--white-color);
    background-color: transparent;
    border: 1px solid var(--white-color);
    border-radius: 4px;
}
#lang-select:hover {
    transform: scale(1.1);
    transition: transform 0.3s;
}

#lang-select option {
    color: var(--text-color);
}

#theme-toggle {
    margin-left: 20px;
    background: none;
    border: none;
    color: var(--white-color);
    font-size: 2.4rem;
    cursor: pointer;
}

#theme-toggle i {
    pointer-events: none;
}

/* Estilos para la sección del clima */
#clima-info {
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    margin-top: 30px;
}

.weather-card {
    text-align: center;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    background-color: var(--white-color);
    width: 200px;
    border: 1px solid var(--gray-light-color);
}

.weather-card img {
    max-width: 100px;
    margin-bottom: 10px;
}

/* Estilos para el buscador */
.search-box {
    margin-top: 20px;
    text-align: center;
}

.search-input {
    padding: 8px;
    border-radius: 5px;
    border: 1px solid var(--gray-light-color);
}

.search-btn {
    padding: 8px 12px;
    border-radius: 5px;
    border: none;
    background-color: var(--primary-color);
    color: var(--light-color);
    cursor: pointer;
}

.search-btn:hover {
    background-color: var(--dark-color);
    transform: scale(1.1);
    transition:
        background-color 0.3s,
        transform 0.3s;
}

#footer {
    align-items: flex-end;
    width: 100%;
    background-color: var(--primary-color);
    color: var(--white-color);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 5%;
}

a {
    color: var(--warning-color);
}

a:hover {
    color: var(--danger-color);
}

.big-icon {
    font-size: 6rem;
}

.error-icon {
    color: var(--danger-color);
    width: 80px;
    height: 80px;
    font-size: 8rem;
}

.error {
    background-color: var(--danger-color);
    margin-top: 10px;
    color: var(--white-color);
    padding: 5px;
    border-radius: 5px;
    display: inline-block;
}

.absolute {
    position: absolute;
    bottom: 0;
}

@media (max-width: 768px) {
    .navbar {
        font-size: 24px;
    }

    .logo {
        margin-left: 5%;
    }

    #clima-info {
        flex-direction: column;
        display: grid;
    }

    .weather-card {
        margin-bottom: 20px;
    }

    .absolute {
        position: static;
    }

    #api-link,
    #api-image {
        display: none;
    }
}

/* Tema oscuro */
body.dark-mode {
    background-color: #2d2c2c;
    color: var(--light-color);
}

body.dark-mode .weather-card {
    background-color: var(--gray-darker-color);
    border-color: var(--gray-dark-color);
    color: var(--light-color);
}

body.dark-mode .search-input {
    background-color: var(--gray-background-input);
    color: var(--white-color);
    border-color: var(--gray-dark-color);
}

body.dark-mode a {
    color: var(--warning-color);
}

body.dark-mode #theme-toggle {
    color: var(--white-color);
}

body.dark-mode #lang-select {
    background-color: var(--gray-dark-color);
    color: var(--white-color);
    border: none;
}

body.dark-mode #lang-select option {
    color: var(--white-color);
    background-color: var(--gray-dark-color);
}

#theme-toggle:hover {
    color: var(--warning-color);
    transform: scale(1.1);
    transition:
        color 0.3s,
        transform 0.3s;
}

body.dark-mode #theme-toggle:hover {
    color: var(--warning-color);
}
.center {
    width: 50%;
    height: 50%;
    min-height: 100px;
    margin: 4em auto;
}

.center h3 {
    text-align: center;
    margin-bottom: 20px;
    font-size: 2.4rem;
}
